# 3DSrt

This repository houses the 3DSrt project,
which attempts to implement path-tracing on the PICA200,
the GPU found on the Nintendo 3DS handheld.

They say a picture's worth a thousand words, so here: ![demo image](./images/demo-image.png)

## Building

1. Install [devkitPro](https://devkitpro.org/wiki/Getting_Started)
and the corresponding 3DS devkit libraries.
2. Run `make`.
3. Find the binary at `./3DSrt.3dsx`.

## Running

The easiest way to run 3DSrt is to download an emulator such as
[Azahar](https://azahar-emu.org) to run the application,
rather than modding an actual device (though you could do that too).
With Azahar, select Open File and open the `3DSrt.3dsx` file from the build step.
